<?php

defined('_SITE_') or die('Error. You don`t have permision to access.');

function htmlHeader() 
{
	$title = ($_SERVER['SCRIPT_NAME'] == '/index.php' || $_SERVER['SCRIPT_NAME'] == '/pages/main/index.php' ? 'Главная' : htmlTitle($_SERVER['SCRIPT_NAME']));

	?>

<!DOCTYPE html>
<html>
<head>
    <!-- Global Site Tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-107139035-1"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments)};
  gtag('js', new Date());

  gtag('config', 'UA-107139035-1');
</script>
<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="shortcut icon" href="/favicon.ico" type="image/x-icon">
<link rel="stylesheet" href="/Styles/Blue-Flat/Style.css">
<title><?=$title?></title>
</head>
<body>

<div class="ContentLogotype" style="text-align: center;">
	<a href="<?=HOME?>/"><img src="<?=HOME?>/Images/logo.png" height="100px"></a>
</div>

<div class="ContentHeader"> 
	<a href="<?=filterOutput($_SERVER['REQUEST_URI'])?>" style="color: #FFFFFF;" title="Перезагрузить страницу"><?=$title?></a> 
</div>

	<?php
}

function htmlFooter() 
{
	global $User;

	if (empty($_SESSION['userId'])) 
	{

		?>

<div class="Auth">
	<a href="<?=HOME?>/Pages/Login/SignUp" class="AuthLink"><?=htmlIcon('in');?> Регистрация</a>
	<a href="<?=HOME?>/Pages/Login/SignIn" class="AuthLink"><?=htmlIcon('in');?> Авторизация</a>
</div>

		<?php
	} 
	else 
	{

		?>

<div class="Auth">
	<a href="<?=HOME?>/Pages/Profile/Profile" class="AuthLink"><?=htmlIcon('user');?> Кабинет</a>
	<a href="<?=HOME?>/Pages/Login/LogOut" class="AuthLink"><?=htmlIcon('in');?> Выход</a>
</div>

		<?php
	}

	$all = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". ADS ." WHERE `active` = ? and `time` > ? ORDER BY `id` DESC", [1, $_SERVER['REQUEST_TIME']]);
	?> 

<div class="ContentBlock">

	<?php
	if (!empty($all)) 
	{
		$n 		= new Navigator($all,6,'');
		$sql 	= DB::$dbs->query("SELECT * FROM ". ADS ." WHERE `active` = ? and `time` > ? ORDER BY RAND() DESC LIMIT {$n->start()}, 6", [1, $_SERVER['REQUEST_TIME']]);

		while ($ads = $sql->fetch()) 
		{
			?>

	<a href="<?=filterOutput($ads['uri'])?>" target="_blank" class="TouchLink"> <i><?=filterOutput($ads['name'])?></i></a>

			<?php
		}
	}
	?>

	<a href="<?=HOME?>/Pages/Ads/" class="TouchLink"> <i>Купить рекламу</i></a>
</div>

<div class="ContentFooter">
    <div style="opacity: 0.3;">
        <img src="<?=HOME?>/Images/wm.png" alt="wm">
        <a href="http://www.raskruty.ru/" target="_blank"><img src="http://www.raskruty.ru/counter/onceclick.ru-25.gif" border="0" width="88" height="15" alt="" /></a>
        <a href="https://passport.webmoney.ru/asp/certview.asp?wmid=499020955862" target="_blank"><img src="https://cdn.web.money/passport/atstimg/88x31_user/88x31_wm_v_blue_on_white_ru.png"></a>
        <a href="http://onceclick.ru/Pages/Sites/Info?id=1" target="_blank"><img src="http://onceclick.ru/Stat?id=1"></a>
        <a href="http://my-ask.info/click.php?id=23"><img src="http://my-ask.info/img.php?id=23" alt="my-ask.info - каталог мобильных сайтов"></a>
    </div>
	&copy;Onceclick.ru 2017<br/>
</div>
</body>
</html>

	<?php
}

function htmlTitle($location) 
{
	if (empty($location)) $location 								= 'Главная';
	else if ($location == '/Pages/Login/SignUp.php') $location 		= 'Регистрация';
	else if ($location == '/Pages/Login/SignIn.php') $location 		= 'Авторизация';
	else if ($location == '/Pages/Login/Restore.php') $location 	= 'Восстановление пароля';
	else if ($location == '/Pages/Profile/Profile.php') $location 	= 'Личный кабинет';
	else $location 													= 'Страница';

	return $location;
}

function htmlIcon($name, $width = 14, $ext = '.png') 
{
	$name = filterOutput($name);

	echo ' <img src="'. HOME .'/Icons/'. $name . $ext .'" width="'. $width .'" height="'. $width .'" alt="[icon:'. $name .']">';
}

function htmlError($message, $type) 
{
	$message = filterOutput($message);

	if ($type == 'user') 
	{
		?> 

<div class="UserError">
	<span class="Left">
		<?=htmlIcon('!', 20);?>
	</span> 
	<span class="Close"> 
		<a href="<?=filterOutput($_SERVER['REQUEST_URI'])?>"><?=htmlIcon('x', 20);?></a> 
	</span> 
	Ошибка: <b><?=$message?></b>
</div>

		<?php
	} 
	else if ($type == 'system') 
	{
		?>

<div class="SystemError">
	<span class="Left">
		<?=htmlIcon('!', 20);?>
	</span>  
	<span class="Close"> 
		<a href="<?=filterOutput($_SERVER['REQUEST_URI'])?>"><?=htmlIcon('x', 20);?></a> 
	</span> 
	Системная ошибка: <b><?=$message?></b>
</div>

		<?php
	}
}

function htmlSuccess($message, $clear = null) 
{
	$message 	= filterOutput($message);
	$uri 		= ($clear == 'clear' ? filterOutput($_SERVER['SCRIPT_NAME']) : filterOutput($_SERVER['REQUEST_URI']));

	?>

<div class="UserSuccess">
	<span class="Left">
		<?=htmlIcon('!', 20);?>
	</span> 
	<span class="Close"> 
		<a href="<?=$uri?>"><?=htmlIcon('x', 20);?></a> 
	</span>
	<b><?=$message?></b>
</div>

	<?php

}

function htmlTime($time = null) 
{
    if ($time == NULL)$time = time();
    $timep="".date("j M yг. в H:i", $time)."";
    $time_p[0]=date("j n Y", $time);
    $time_p[1]=date("H:i", $time);

    if ($time_p[0] == date("j n Y"))$timep = date("H:i:s", $time);
    if ($time_p[0] == date("j n Y", time()-60*60*24))$timep = "Вчера в $time_p[1]";

    $timep = str_replace("Jan","Янв",$timep);
    $timep = str_replace("Feb","Фев",$timep);
    $timep = str_replace("Mar","Мар",$timep);
    $timep = str_replace("May","Мая",$timep);
    $timep = str_replace("Apr","Апр",$timep);
    $timep = str_replace("Jun","Июня",$timep);
    $timep = str_replace("Jul","Июля",$timep);
    $timep = str_replace("Aug","Авг",$timep);
    $timep = str_replace("Sep","Сент",$timep);
    $timep = str_replace("Oct","Окт",$timep);
    $timep = str_replace("Nov","Нояб",$timep);
    $timep = str_replace("Dec","Дек",$timep);
    return $timep;
}

function htmlBb($string) 
{
	$bbcode 										= [];
	$bbcode['/\[i\](.+)\[\/i\]/isU']				='<em>$1</em>';
	$bbcode['/\[b\](.+)\[\/b\]/isU']				='<strong>$1</strong>';
	$bbcode['/\[u\](.+)\[\/u\]/isU']				='<span style="text-decoration:underline;">$1</span>';
	$bbcode['/\[red\](.+)\[\/red\]/isU']			='<span style="color:#ff0000;">$1</span>';
	$bbcode['/\[green\](.+)\[\/green\]/isU']		='<span style="color:#00bb00;">$1</span>';
	$bbcode['/\[blue\](.+)\[\/blue\]/isU']			='<span style="color:#0000bb;">$1</span>';

	if (count($bbcode)) 
	{
		$string 									= preg_replace(array_keys($bbcode), array_values($bbcode), $string);
	}

	return $string;
}