<?php

define("_SITE_", 1);

require_once("../../Core/Core.php");

userCheckAuthorization();

if (isset($_POST['try'])) 
{
	$data 			= $_POST;
	$data['text'] 	= filterString($data['text']);

    if (empty($User['emailConfirm'])) 
    {
        htmlError('Для выполнения данного действия необходимо подтвердить Email', 'user');
    } 
	else if (empty($data['text'])) 
	{
		htmlError('Пустое сообщение.', 'user');
	} 
	else if (strlen($data['text']) < 4 || strlen($data['text']) > 1000) 
	{
		htmlError('Сообщение должно быть в диапазоне[4-1000].', 'user');
	} 
	else if ($_SESSION['chatCooldown'] > $_SERVER['REQUEST_TIME']) 
	{
		htmlError('Сообщение можно отправлять раз в 15сек.', 'user');
	} 
	else 
	{
		if (!empty($_GET['otv']) && $_GET['otv'] != $User['id']) 
		{
			$_GET['otv'] 	= filterInt($_GET['otv']);
			$ank 			= DB::$dbs->queryFetch("SELECT `id`, `login` FROM ".USERS." WHERE `id` = ? ",[$_GET['otv']]); 

			if (!empty($ank)) 
			{
				$data['text'] = '' . filterOutput($ank['login']) . ', ' . $data['text'];
			}
		}

		DB::$dbs->query("INSERT INTO ".CHAT." (`userId`, `time`, `text`) VALUES (?, ?, ?)", [$User['id'], time(), $data['text']]);
		$_SESSION['chatCooldown'] = $_SERVER['REQUEST_TIME'] + 15;

		htmlSuccess('Сообщение успешно отправлено.', 'user');
	}
}

if (isset($_POST['delete']) && $User['access'] > 0) 
{
	$data 				= $_POST; 
    $data['delete'] 	= filterInt($data['delete']); 

    foreach ($data as $name => $value) 
    {
        DB::$dbs->query("DELETE FROM ".CHAT." WHERE `id` = ?", [$name]); 
    } 
    
    htmlSuccess('Выделеные вами сообщения успешно удалены.', 'user');
}

if (isset($_POST['clean']) && $User['access'] > 0) 
{ 
    $data 			= $_POST; 
    $data['clean'] 	= filterInt($data['clean']); 
    DB::$dbs->query("DELETE FROM ".CHAT."");
    DB::$dbs->query("INSERT INTO ".CHAT." (`userId`, `time`, `text`) VALUES (?, ?, ?)", [$User['id'], time(), 'Чат очищен.']);

    htmlSuccess('Чат успешно очищен.', 'user');
}

?>

<div class="ContentBlock">

<?php

if (!empty($_GET['otv']) && $_GET['otv'] != $User['id']) 
{
	$_GET['otv'] 	= filterInt($_GET['otv']);
    $ank 			= DB::$dbs->queryFetch("SELECT `id`, `login` FROM ".USERS." WHERE `id` = ? ",[$_GET['otv']]);

    if (!empty($ank)) 
    {
    	?>

	<form action="?otv=<?=filterInt($ank['id'])?>" method="POST"> 
	Сообщение пользователю <b><?=filterOutput($ank['login'])?></b><br/>

		<?php
    }
}

?>

	<?=(!empty($_GET['otv'] && $_GET['otv'] != $user['id']) ? null : '<form action="" method="POST">')?> 
        <textarea name="text" placeholder="Введите сообщение..." style="width: 99%;height: 50px;"></textarea><br/>
        <input type="submit" name="try" value="Отправить"> <input type="submit" name="reload" value="Обновить">
    </form>

<?php

$all = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". CHAT .""); 

if (empty($all)) 
{
	htmlError('Сообщений нет.', 'user');
} 
else 
{
	$n = new Navigator($all,10,'');
    $sql = DB::$dbs->query("SELECT * FROM ". CHAT ." ORDER BY `id` DESC LIMIT {$n->start()}, 10");

    if ($User['access'] > 0) 
    {
    	?>

    <form action="#" method="POST">

    	<?php
    }

    while ($post = $sql -> fetch()) 
    {

    	?>

    <div class="Message">

    	<?php

    	if ($User['access'] > 0) 
    	{
    		?>

    <input type="checkbox" name="<?=filterInt($post['id'])?>">

    		<?php
    	} 

    	if ($post['userId'] != $User['id']) 
    	{
    		?>

    	<?=htmlIcon('user') . userLink($post['userId'])?><a href="?otv=<?=$post['userId']?>">[отв]</a><br/>
    	<?=filterOutput(htmlBb($post['text']))?> 
    	<span style="float: right;"><?=countTime($post['time'])?></span><br/>

    		<?php
    	} 
    	else 
    	{
    		?> 

    	<?=htmlIcon('user') . userLink($post['userId'])?><br/>
    	<?=filterOutput(htmlBb($post['text']))?> 
    	<span style="float: right;"><?=countTime($post['time'])?></span><br/>

    		<?php
    	}

    	?>

    </div>

    	<?php
    } 

    echo $n->navi();
} 

?> 

</div>

<?php

if ($User['access'] > 0) 
{
	?> 

<div class="ContentBlock">
		<input type="submit" name="delete" value="Удалить выделенные посты">
		<input type="submit" name="clean" value="Очистить чат">
	</form>
</div>
	
	<?php
} 

htmlFooter();