<?php

define("_SITE_", 1);

require_once("../../Core/Core.php");

userCheckAuthorization();

if (empty($_GET['id'])) 
{
	htmlError('Площадка не найдена.', 'user');
} 
else 
{
	$siteId = filterInt($_GET['id']);
	$site 	= DB::$dbs->queryFetch("SELECT * FROM ". SITES ." WHERE `id` = ?", [$siteId]);

	if (empty($site)) 
	{
		htmlError('Площадка не найдена.', 'user');
	} 
	else 
	{
		if ($site['userId'] != $User['id']) 
		{
			htmlError('Вы не являетесь владельцем данной площадки.', 'user');
		} 
		else 
		{
			if ($site['status'] == 3) 
			{
				htmlError('Вы не можете редактировать площадку пока она находится на модерации.', 'user');
			} 
			else if ($site['status'] == 2) 
			{
				htmlError('Площадка заблокирована.', 'user');
			} 
			else 
			{
				if (isset($_POST['try'])) 
				{
					$data 			= $_POST;
					$data['addr'] 	= filterString($data['addr']);
					$data['name']	= filterString($data['name']);
					$data['about']	= filterString($data['about']);
					$token 			= md5(time() . rand(1, 9999) . uniqid());

					if (empty($data['addr'])) 
					{
						htmlError('Адрес сайта не может быть пустым.', 'user');
					} 
					else if (mb_strlen($data['addr']) > 20 || mb_strlen($data['addr']) < 2) 
					{
						htmlError('Адрес сайта должен быть в диапазоне [2-15].', 'user');
					} 
					else if (empty($data['name'])) 
					{
						htmlError('Название сайта не может быть пустым.', 'user');
					} 
					else if (mb_strlen($data['name']) > 20 || mb_strlen($data['name']) < 4) 
					{
						htmlError('Название сайта должно быть в диапазоне [4-20].', 'user');
					} 
					else if (empty($data['about'])) 
					{
						htmlError('Описание сайта не может быть пустым.', 'user');
					} 
					else if (mb_strlen($data['about']) > 200 || mb_strlen($data['about']) < 10) 
					{
						htmlError('Описание сайта должно быть в диапазоне [10-200].', 'user');
					} 
					else if ($data['token'] != $User['token']) 
					{
						htmlError('Во время выполнения запроса возникла ошибка, попробуйте еще раз и если она повторится, обратитесь в поддержку.', 'user');
					} 
					else 
					{
						DB::$dbs->query("UPDATE ". SITES ." SET `uri` = ?, `name` = ?, `about` = ?, `token` = ?, `status` = ? WHERE `id` = ?", [$data['addr'], $data['name'], $data['about'], $token, 3, $siteId]);
						htmlSuccess('Площадка успешно изменена и отправлена на модерацию.', 'user');
					}
				} 

				?>

<div class="ContentBlock">
	<form action="" method="POST">
		<b>Название[4-20]:</b><br/>
		<input type="text" name="name" value="<?=(!empty($site['name']) ? filterOutput($site['name']) : null)?>"><br/>
		<b>Описание[10-200]:</b><br/>
		<textarea name="about"><?=(!empty($site['about']) ? filterOutput($site['about']) : null)?></textarea><br/>
		<b>Адрес[с http:// [2-20]]:</b><br/>
		<input type="text" name="addr" value="<?=(!empty($site['uri']) ? filterOutput($site['uri']) : null)?>"><br/>
		<input type="hidden" name="token" value="<?=$User['token']?>">
		<input type="submit" name="try" value="Изменить">
	</form>
</div>

<div class="InformationBlock">
	<?=htmlIcon('!')?> Принимаються только чистые ссылки.<br/>
	<?=htmlIcon('!')?> После изменения площадки она отправляется на модерацию.<br/>
	<?=htmlIcon('!')?> Модерация может занять от 5минут до 72часов.<br/>
</div>

				<?php
			}
		}
	}
}

?>

<div class="ContentBlock">
	<a href="<?=HOME?>/Pages/SiteManager/" class="TouchLink"><?=htmlIcon('link');?> Менеджер сайтов</a>
</div>

<?php

htmlFooter();