<?php

define("_SITE_", 1);

require_once('../../Core/Core.php');

if (isset($_POST['try'])) 
{
	$data 			= $_POST;
	$data['addr'] 	= filterString($data['addr']);
	$data['name']	= filterString($data['name']);
	$data['about']	= filterString($data['about']);
	$token 			= md5(time() . rand(1, 9999) . uniqid());

	if (empty($User['emailConfirm'])) 
	{
		htmlError('Для выполнения данного действия необходимо подтвердить Email', 'user');
	} 
	else if (empty($data['addr'])) 
	{
		htmlError('Адрес сайта не может быть пустым.', 'user');
	} 
	else if (mb_strlen($data['addr']) > 20 || mb_strlen($data['addr']) < 2) 
	{
		htmlError('Адрес сайта должен быть в диапазоне [2-15].', 'user');
	} 
	else if (empty($data['name'])) 
	{
		htmlError('Название сайта не может быть пустым.', 'user');
	} 
	else if (mb_strlen($data['name']) > 20 || mb_strlen($data['name']) < 4) 
	{
		htmlError('Название сайта должно быть в диапазоне [4-20].', 'user');
	} 
	else if (empty($data['about'])) 
	{
		htmlError('Описание сайта не может быть пустым.', 'user');
	} 
	else if (mb_strlen($data['about']) > 200 || mb_strlen($data['about']) < 10) 
	{
		htmlError('Описание сайта должно быть в диапазоне [10-200].', 'user');
	} 
	else if ($data['token'] != $User['token']) 
	{
		htmlError('Во время выполнения запроса возникла ошибка, попробуйте еще раз и если она повторится, обратитесь в поддержку.', 'user');
	} 
	else if (countUserSites() == $User['maxSites']) 
	{
		htmlError('вы используете максимальное количество площадок.', 'user');
	}
	else 
	{
		DB::$dbs->query("INSERT INTO ". SITES ." (`uri`, `name`, `about`, `click`, `status`, `userId`, `token`) VALUES (?, ?, ?, ?, ?, ?, ?)", [$data['addr'], $data['name'], $data['about'], 0, 3, $User['id'], $token]);
		htmlSuccess('Площадка успешно создана и отправлена на модерацию.', 'user');
	}
}

?>

<div class="ContentBlock">
	<form action="" method="POST">
		<b>Название[4-20]:</b><br/>
		<input type="text" name="name" value="<?=(!empty($_POST['name']) ? filterOutput($_POST['name']) : null)?>"><br/>
		<b>Описание[10-200]:</b><br/>
		<textarea name="about"><?=(!empty($_POST['about']) ? filterOutput($_POST['about']) : null)?></textarea><br/>
		<b>Адрес[с http:// [2-20]]:</b><br/>
		<input type="text" name="addr" value="<?=(!empty($_POST['addr']) ? filterOutput($_POST['addr']) : null)?>"><br/>
		<input type="hidden" name="token" value="<?=$User['token']?>">
		<input type="submit" name="try" value="Добавить">
	</form>
</div>

<div class="InformationBlock">
	<?=htmlIcon('!')?> Принимаються только чистые ссылки.<br/>
	<?=htmlIcon('!')?> После создания площадки она отправляется на модерацию.<br/>
	<?=htmlIcon('!')?> Модерация может занять от 5минут до 72часов.<br/>
</div>

<div class="ContentBlock">
	<a href="<?=HOME?>/Pages/SiteManager/" class="TouchLink"><?=htmlIcon('link');?> Менеджер сайтов</a>
</div>

<?php

htmlFooter();