<?php

define("_SITE_", 1);

require_once ('Core/Core.php');

if (isset($_GET['sort']) && is_numeric($_GET['sort'])) 
{
	$sort = filterInt($_GET['sort']);
	$allow = [10, 25, 50];

	if (in_array($sort, $allow)) 
	{
		$_SESSION['sort'] = $sort;
	} 
	htmlSuccess('Успешно отсортировано.', 'clear');
}

?> 

<div class="InformationBlock">
	При помощи нашего клик-клуба вы можете очень быстро и практически бесплатно поднять посещаемость своего сайта, с учетом роста и развития нашего клуба количество выдаваемых переходов непрерывно растет. 
</div>

<div class="ContentHeader">
	Каталог сайтов
</div>

<?php

$all = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". SITES ." WHERE `status` = ? ORDER BY RAND()", [1]);

if (empty($all)) 
{
	htmlError('Сайтов нет.', 'user');
} 
else 
{ 
    $randomSite = DB::$dbs->queryFetch("SELECT * FROM ". SITES ." WHERE `status` = ? ORDER BY RAND() LIMIT 1", [1]);
    $randomSite2 = DB::$dbs->queryFetch("SELECT * FROM ". SITES ." WHERE `status` = ? and `id` != ? ORDER BY RAND() LIMIT 1", [1, $randomSite['id']]);
	?>
	
<div style="margin: 0 5px 0 5px;padding: 10px;">
    <table style="width:100%;" cellspacing="0" cellpadding="0">
        <tr>
            <td style="vertical-align:top;width:50%;white-space: nowrap;float: left;" align="center">
                <div style="max-width: 70%;box-shadow: 0 0 8px rgba(0,0,0,0.12), 0 8px 8px rgba(0,0,0,0.24);">
                    <img src="http://mini.s-shot.ru/360x640/?<?=filterOutput($randomSite['uri'])?>" style="max-width: 100%;" alt="[site-screen]" height="100%" width="100%" title="Скриншот">
                    <br/>
                    <a href="<?=HOME?>/Pages/Redirect?id=<?=filterInt($randomSite['id'])?>&amp;token=<?=filterOutput($randomSite['token'])?>" target="_blank" class="TouchLink" style="overflow: hidden;text-overflow: ellipsis;"><?=filterOutput($randomSite['name'])?></a>
                </div>
            </td>
            <td style="vertical-align:top;width:50%;white-space: nowrap;float: left;" align="center">
                <div style="max-width: 70%;box-shadow: 0 0 8px rgba(0,0,0,0.12), 0 8px 8px rgba(0,0,0,0.24);">
                    <img src="http://mini.s-shot.ru/360x640/?<?=filterOutput($randomSite2['uri'])?>" style="max-width: 100%;" alt="[site-screen]" height="100%" width="100%" title="Скриншот">
                    <br/>
                    <a href="<?=HOME?>/Pages/Redirect?id=<?=filterInt($randomSite2['id'])?>&amp;token=<?=filterOutput($randomSite2['token'])?>" target="_blank" class="TouchLink" style="overflow: hidden;text-overflow: ellipsis;"><?=filterOutput($randomSite2['name'])?></a>
                </div>
            </td>
        </tr>
    </table>
</div>

<div class="HeadNavigator">
	<table style="width:100%" cellspacing="0" cellpadding="0">
		<tr>
			<td style="vertical-align:top;width:33.3%;white-space: nowrap;">
				<a href="?sort=10" class="HeadNavigatorLink">10</a>
			</td>
			<td style="vertical-align:top;width:33.3%;white-space: nowrap;">
				<a href="?sort=25" class="HeadNavigatorLink">25</a>
			</td>
			<td style="vertical-align:top;width:33.3%;white-space: nowrap;">
				<a href="?sort=50" class="HeadNavigatorLink">50</a>
			</td>
		</tr>
	</table>
</div>

<div class="ContentBlock">

	<?php
	$displaySort = (empty($_SESSION['sort']) ? 10 : filterInt($_SESSION['sort']));
	$n 		= new Navigator($all, $displaySort,'');
	$sql 	= DB::$dbs->query("SELECT * FROM ". SITES ." WHERE `status` = ? ORDER BY RAND() LIMIT {$n->start()}, {$displaySort}", [1]);

	while ($site = $sql -> fetch()) 
	{ 
		if (!empty($User)) 
		{
			$userClick 	= DB::$dbs->queryFetch("SELECT `id` FROM ". CLICK ." WHERE `siteId` = ? and `userId` = ?", [$site['id'], $User['id']]);
		}
		?> 

<div class="TouchLink">
	<a href="<?=HOME?>/Pages/Redirect?id=<?=filterInt($site['id'])?>&amp;token=<?=filterOutput($site['token'])?>" target="_blank">
		<img src="https://www.google.com/s2/favicons?domain=<?=filterOutput($site['uri'])?>"> 
		<?=(!empty($User) && !empty($userClick) ? '<s>' : null)?>
		<?=filterOutput($site['name'])?>
		<?=(!empty($User) && !empty($userClick) ? '</s>' : null)?> 
	</a>
	<span class="Count"> 
		<?=(!empty($User) ? '<a href="'. HOME .'/Pages/Sites/Info?id='. filterInt($site['id']) .'">' : null)?> 
		<?=htmlIcon('chart');?> <?=filterInt($site['click'])?><?=(!empty($site['clickHot']) ? '<span style="color: #474747;">/'. filterInt($site['clickHot']).'</span>' : null)?>
		<?=(!empty($User) ? '</a>' : null)?> 
	</span>
</div>

		<?php

	} 

	?>

</div>

	<?php

	echo $n->navi();

} 

if (!empty($User)) 
{
	?>
	
<div class="BodyLine">
</div>

<div class="ContentBlock">
	<a href="<?=HOME?>/Pages/Chat/" class="TouchLink"> <?=htmlIcon('link')?> Мини чат <span class="Count"><?=countChatMsg();?></span></a>
</div>

	<?php
}
?>

<div class="ContentBlock">
	<a href="<?=HOME?>/Faq" class="TouchLink"><?=htmlIcon('link')?> Помощь</a>
</div>

<div class="BodyLine">
</div>

<div class="ContentHeader">
	Статистика
</div>

<div class="ContentBlock" style="padding: 2px;">
	<?=htmlIcon('!')?> <b>Площадок всего:</b> <?=countAllSites()?><br/>
	<?=htmlIcon('!')?> <b>Активных площадок:</b> <?=countActiveSites()?><br/>
	<?=htmlIcon('!')?> <b>Пользователей:</b> <?=countAllUsers()?><br/>
	<?=htmlIcon('!')?> <b>Всего кликов:</b> <?=countAllClick()?><br/>
	<?=htmlIcon('!')?> <b>Кликов сегодня:</b> <?=countHotClick()?><br/>
</div>

<?php

htmlFooter();